This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

Global CDN

Overview

Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP.

This guide provides a brief description of Global CDN service and how to call API. The API is provided as a RESTful API, and it responds in JSON format.

Version

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionStatusNot Before
1.0CURRENT-

OpenAPI URL

https://cdn.{region}.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

API Version History

1.0

CDN API has been released.

Changes

  • [New] GET /cdn/1.0/cdns - ListCdnService API has been added.
  • [New] POST /cdn/1.0/cdns - CreateCdnService API has been added.
  • [New] GET /cdn/1.0/cdns/{id} - DetailCdnService API has been added.
  • [New] PUT /cdn/1.0/cdns/{id} - UpdateCdnService API has been added.
  • [New] DELETE /cdn/1.0/cdns/{id} - DeleteCdnService API has been added.
  • [New] PUT /cdn/1.0/cdns/{id}/description - UpdateDescriptionOfCdnService API has been added.
  • [New] POST /cdn/1.0/cdns/{id}/start - StartCdnService API has been added.
  • [New] POST /cdn/1.0/cdns/{id}/stop - StopCdnService API has been added.
  • [New] POST /cdn/1.0/cdns/{id}/purge - PurgeCdnService API has been added.

1 - APIs

1.1 - Create Cdn Service

1.1.1 - 1.0

post /v1/cdns

Description

Create CDN service resource for caching and delivering content from an origin server through edge locations.

State ACTIVE (CURRENT)

VersionNot Before
1.0-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

CdnServiceCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedCdnServiceResponseResult
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/cdns

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cdn 1.0"

Request body

{
    "cache_expiry_time": 86400,
    "cache_key_hostname": "REQUEST_HOST_HEADER",
    "caching_option": "CACHE",
    "cdn_origin_hostname": "test.example.com",
    "cdn_origin_port": 443,
    "cdn_origin_protocol": "HTTPS",
    "cdn_service_domain_prefix": "global1",
    "cdn_service_origin_path": "/test/global/",
    "content_policy": "ONLY_VALIDATED_CONTENTS",
    "custom_forward_host_header": "",
    "description": "추가 정보 입력 - 설명",
    "forward_host_header": "REQUEST_HOST_HEADER",
    "name": "test1",
    "origin_hostname_type": "DOMAIN",
    "query_string_ignored": true,
    "range_request_allowed": true,
    "request_custom_headers": "",
    "response_custom_headers": "",
    "tags": []
}

Example HTTP response

Response 202

{
    "cdn": {
        "account_id": "",
        "resource_id": "",
        "workflow_id": ""
    }
}

1.2 - Delete Cdn Service

1.2.1 - 1.0

delete /v1/cdns/{id}

Description

Delete CDN service resource

State ACTIVE (CURRENT)

VersionNot Before
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathid
required
The unique identifier of the CDN service.
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedCdnServiceResponseResult
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cdns/{id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cdn 1.0"

Example HTTP response

Response 202

{
    "cdn": {
        "account_id": "",
        "resource_id": "",
        "workflow_id": ""
    }
}

1.3 - Detail Cdn Service

1.3.1 - 1.0

get /v1/cdns/{id}

Description

Provides details about a specific CDN service.

State ACTIVE (CURRENT)

VersionNot Before
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathid
required
The unique identifier of the CDN service.
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCdnServiceDetailResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cdns/{id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cdn 1.0"

Example HTTP response

Response 200

{
    "cdn": {
        "account_id": "",
        "cache_expiry_time": "",
        "cache_key_hostname": "",
        "caching_option": "",
        "cdn_origin_hostname": "",
        "cdn_origin_port": "",
        "cdn_origin_protocol": "",
        "cdn_service_activation_state": "",
        "cdn_service_config_version": "",
        "cdn_service_domain": "",
        "cdn_service_origin_path": "",
        "cdn_service_state": "",
        "content_policy": "",
        "created_at": "",
        "created_by": "",
        "custom_forward_host_header": "",
        "description": "",
        "forward_host_header": "",
        "id": "",
        "modified_at": "",
        "modified_by": "",
        "name": "",
        "origin_hostname_type": "",
        "query_string_ignored": "",
        "range_request_allowed": "",
        "region": "",
        "request_custom_headers": "",
        "response_custom_headers": ""
    }
}

1.4 - List Cdn Service

1.4.1 - 1.0

get /v1/cdns

Description

Provides a list of CDN services.

State ACTIVE (CURRENT)

VersionNot Before
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
querycreated_by
optional
The user id that created the resource.
Example :
any of [string, null]None
queryname
optional
The name of the CDN service.
Example :
any of [string, null]None
querycdn_service_domain
optional
The domain name through which the CDN service delivers content.
Example :
any of [string, null]None
querycdn_origin_hostname
optional
The hostname of the origin server from which the CDN retrieves content.
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKCdnServiceListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/cdns

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cdn 1.0"

Example HTTP response

Response 200

{
    "cdn": [
        {
            "account_id": "",
            "cdn_origin_hostname": "",
            "cdn_service_domain": "",
            "cdn_service_state": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "",
            "id": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "region": ""
        }
    ],
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.5 - Purge Cdn Service

1.5.1 - 1.0

post /v1/cdns/{id}/purge

Description

Purges cached content from the CDN service.

State ACTIVE (CURRENT)

VersionNot Before
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathid
required
The unique identifier of the CDN service.
Example :
stringNone
bodybody
required

CdnServicePurgeRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedCdnServiceResponseResult
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cdns/{id}/purge

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cdn 1.0"

Request body

{
    "custom_url": "/test/",
    "target_content": "INVALIDATED_CONTENT",
    "target_url": "CUSTOM"
}

Example HTTP response

Response 202

{
    "cdn": {
        "account_id": "",
        "resource_id": "",
        "workflow_id": ""
    }
}

1.6 - Start Cdn Service

1.6.1 - 1.0

post /v1/cdns/{id}/start

Description

Starts the CDN service.

State ACTIVE (CURRENT)

VersionNot Before
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathid
required
The unique identifier of the CDN service.
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedCdnServiceResponseResult
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cdns/{id}/start

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cdn 1.0"

Example HTTP response

Response 202

{
    "cdn": {
        "account_id": "",
        "resource_id": "",
        "workflow_id": ""
    }
}

1.7 - Stop Cdn Service

1.7.1 - 1.0

post /v1/cdns/{id}/stop

Description

Stops the CDN service.

State ACTIVE (CURRENT)

VersionNot Before
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathid
required
The unique identifier of the CDN service.
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedCdnServiceResponseResult
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cdns/{id}/stop

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cdn 1.0"

Example HTTP response

Response 202

{
    "cdn": {
        "account_id": "",
        "resource_id": "",
        "workflow_id": ""
    }
}

1.8 - Update Cdn Service

1.8.1 - 1.0

put /v1/cdns/{id}

Description

Update a CDN service resource

State ACTIVE (CURRENT)

VersionNot Before
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathid
required
The unique identifier of the CDN service.
Example :
stringNone
bodybody
required

CdnServiceUpdateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedCdnServiceResponseResult
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cdns/{id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cdn 1.0"

Request body

{
    "cache_expiry_time": 86400,
    "cache_key_hostname": "REQUEST_HOST_HEADER",
    "caching_option": "CACHE",
    "cdn_origin_hostname": "test.example.com",
    "cdn_origin_port": 443,
    "cdn_origin_protocol": "HTTPS",
    "cdn_service_origin_path": "/test/global/",
    "content_policy": "ONLY_VALIDATED_CONTENTS",
    "custom_forward_host_header": "",
    "forward_host_header": "REQUEST_HOST_HEADER",
    "origin_hostname_type": "DOMAIN",
    "query_string_ignored": true,
    "range_request_allowed": true,
    "request_custom_headers": "",
    "response_custom_headers": ""
}

Example HTTP response

Response 202

{
    "cdn": {
        "account_id": "",
        "resource_id": "",
        "workflow_id": ""
    }
}

1.9 - Update Description of Cdn Service

1.9.1 - 1.0

put /v1/cdns/{id}/description

Description

Updates the description of the CDN service.

State ACTIVE (CURRENT)

VersionNot Before
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathid
required
The unique identifier of the CDN service.
Example :
stringNone
bodybody
required

CdnServiceModifyDescriptionRequest

Responses

HTTP CodeDescriptionSchema
200OKCdnServiceDetailResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cdns/{id}/description

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cdn 1.0"

Request body

{
    "description": "추가 정보 입력 - 설명"
}

Example HTTP response

Response 200

{
    "cdn": {
        "account_id": "",
        "cache_expiry_time": "",
        "cache_key_hostname": "",
        "caching_option": "",
        "cdn_origin_hostname": "",
        "cdn_origin_port": "",
        "cdn_origin_protocol": "",
        "cdn_service_activation_state": "",
        "cdn_service_config_version": "",
        "cdn_service_domain": "",
        "cdn_service_origin_path": "",
        "cdn_service_state": "",
        "content_policy": "",
        "created_at": "",
        "created_by": "",
        "custom_forward_host_header": "",
        "description": "",
        "forward_host_header": "",
        "id": "",
        "modified_at": "",
        "modified_by": "",
        "name": "",
        "origin_hostname_type": "",
        "query_string_ignored": "",
        "range_request_allowed": "",
        "region": "",
        "request_custom_headers": "",
        "response_custom_headers": ""
    }
}

2 - Models

2.1 - CdnServiceCreateRequest

NameDescriptionSchemaDefault
cache_expiry_time
required
The cache expiry time in seconds for content stored at edge locations.
Example : 86400
Minimum : 3600
Maximum : 2592000
integer
cache_key_hostname
required
The hostname used as part of the cache key (e.g., ORIGIN_HOSTNAME, INCOMING_HOST_HEADER).
Example : REQUEST_HOST_HEADER
enum (REQUEST_HOST_HEADER, ORIGIN_HOSTNAME)
caching_option
required
The caching option for the CDN content (e.g., CACHE, NO_CACHE, BYPASS_CACHE).
Example : CACHE
string
cdn_origin_hostname
required
The hostname of the origin server from which the CDN retrieves content.
Example : test.example.com
Pattern : ^(([a-zA-Z0-9]|[a-zA-Z0-9][a-zA-Z0-9\-]*[a-zA-Z0-9])\.)*([A-Za-z0-9]|[A-Za-z0-9][A-Za-z0-9\-]*[A-Za-z0-9])$|^((25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)$
Maximum length : 253
string
cdn_origin_port
required
The port used to connect to the origin server.
Example : 443
Minimum : 1
Maximum : 65535
integer
cdn_origin_protocol
required
The protocol used to connect to the origin server (e.g., HTTP, HTTPS).
Example : HTTPS
string
cdn_service_domain_prefix
required
The prefix of the CDN service domain.
Example : global1
Pattern : ^[a-z0-9]*$
Minimum length : 4
Maximum length : 40
string
cdn_service_origin_path
optional
The path on the origin server from which the CDN retrieves content.
Example : /test/global/
Pattern : ^/$|^(/[a-zA-Z0-9-._]+)+/$
any of [string, null]
content_policy
required
The content delivery policy for the CDN service (e.g., ONLY_VALIDATED_CONTENTS, ALL_CONTENTS).
Example : ONLY_VALIDATED_CONTENTS
string
custom_forward_host_header
optional
The custom host header forwarded to the origin when forward host header is set to CUSTOM.
Example :
any of [string, null]
description
optional
Description
Example : 추가 정보 입력 - 설명
any of [string, null]
forward_host_header
required
The host header forwarded to the origin server (e.g., ORIGIN_HOSTNAME, INCOMING_HOST_HEADER, CUSTOM).
Example : REQUEST_HOST_HEADER
enum (REQUEST_HOST_HEADER, ORIGIN_HOSTNAME, CUSTOM)
name
required
The name of the CDN service.
Example : test1
Pattern : ^[a-zA-Z0-9]*$
Minimum length : 3
Maximum length : 20
string
origin_hostname_type
required
The type of the origin hostname (e.g., DOMAIN, IP).
Example : DOMAIN
enum (DOMAIN, IP)
query_string_ignored
required
Indicates whether the query string is ignored when caching content.
Example : True
boolean
range_request_allowed
required
Indicates whether range requests are allowed for content delivery.
Example : True
boolean
request_custom_headers
optional
The custom headers added to requests forwarded to the origin server.
Example :
object
response_custom_headers
optional
The custom headers added to responses returned to the client.
Example :
object
tags
optional
Tag List
array[Tag]

2.2 - CdnServiceDetail

NameDescriptionSchemaDefault
account_id
required
Account ID
Example :
string
cache_expiry_time
required
The cache expiry time in seconds for content stored at edge locations.
Example :
integer
cache_key_hostname
required
The hostname used as part of the cache key (e.g., ORIGIN_HOSTNAME, INCOMING_HOST_HEADER).
Example :
string
caching_option
required
The caching option for the CDN content (e.g., CACHE, NO_CACHE, BYPASS_CACHE).
Example :
string
cdn_origin_hostname
required
The hostname of the origin server from which the CDN retrieves content.
Example :
string
cdn_origin_port
required
The port used to connect to the origin server.
Example :
integer
cdn_origin_protocol
required
The protocol used to connect to the origin server (e.g., HTTP, HTTPS).
Example :
string
cdn_service_activation_state
required
The activation state of the CDN service.
Example :
string
cdn_service_config_version
required
The configuration version of the CDN service.
Example :
integer
cdn_service_domain
required
The domain name through which the CDN service delivers content.
Example :
string
cdn_service_origin_path
required
The path on the origin server from which the CDN retrieves content.
Example :
string
cdn_service_state
required
The current state of the CDN service (e.g., RUNNING, STOPPED, CREATING, DELETING).
Example :
string
content_policy
required
The content delivery policy for the CDN service (e.g., ONLY_VALIDATED_CONTENTS, ALL_CONTENTS).
Example :
string
created_at
required
The timestamp when the resource was created, in ISO 8601 format.
Example :
string
created_by
required
The user id that created the resource.
Example :
string
custom_forward_host_header
required
The custom host header forwarded to the origin when forward host header is set to CUSTOM.
Example :
string
description
required
Description
Example :
string
forward_host_header
required
The host header forwarded to the origin server (e.g., ORIGIN_HOSTNAME, INCOMING_HOST_HEADER, CUSTOM).
Example :
string
id
required
The unique identifier of the CDN service.
Example :
string
modified_at
required
The timestamp when the resource was last modified, in ISO 8601 format.
Example :
string
modified_by
required
The user id that last modified the resource.
Example :
string
name
required
The name of the CDN service.
Example :
string
origin_hostname_type
required
The type of the origin hostname (e.g., DOMAIN, IP).
Example :
string
query_string_ignored
required
Indicates whether the query string is ignored when caching content.
Example :
boolean
range_request_allowed
required
Indicates whether range requests are allowed for content delivery.
Example :
boolean
region
required
The region where the CDN service is provided.
Example :
string
request_custom_headers
required
The custom headers added to requests forwarded to the origin server.
Example :
object
response_custom_headers
required
The custom headers added to responses returned to the client.
Example :
object

2.3 - CdnServiceDetailResponse

NameDescriptionSchemaDefault
cdn
required

CdnServiceDetail

2.4 - CdnServiceListResponse

NameDescriptionSchemaDefault
cdn
required

array[CdnServiceResponse]
count
required
count
Example : 20
integer
page
required
page
Example : 0
integer
size
required
size
Example : 20
integer
sort
optional
sort
Example : ['created_at:asc']
any of [array[string], null]

2.5 - CdnServiceModifyDescriptionRequest

NameDescriptionSchemaDefault
description
required
Description
Example : 추가 정보 입력 - 설명
Maximum length : 50
string

2.6 - CdnServicePurgeRequest

NameDescriptionSchemaDefault
custom_url
optional
The custom URL to purge when the target URL is set to CUSTOM.
Example : /test/
Pattern : ^/[a-zA-Z0-9-._/]*$
any of [string, null]
target_content
required
The target content type to purge (e.g., ALL_CONTENT, INVALIDATED_CONTENT).
Example : INVALIDATED_CONTENT
string
target_url
required
The target URL scope for the purge operation (e.g., ALL, CUSTOM).
Example : CUSTOM
string

2.7 - CdnServiceResponse

NameDescriptionSchemaDefault
account_id
required
Account ID
Example :
string
cdn_origin_hostname
required
The hostname of the origin server from which the CDN retrieves content.
Example :
string
cdn_service_domain
required
The domain name through which the CDN service delivers content.
Example :
string
cdn_service_state
required
The current state of the CDN service (e.g., RUNNING, STOPPED, CREATING, DELETING).
Example :
string
created_at
required
Created At
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
Created By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
description
optional
Description
Example :
any of [string, null]
id
required
The unique identifier of the CDN service.
Example :
string
modified_at
required
Modified At
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
Modified By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
name
required
The name of the CDN service.
Example :
string
region
required
The region where the CDN service is provided.
Example :
string

2.8 - CdnServiceResponseResult

NameDescriptionSchemaDefault
cdn
required

CdnServiceResult

2.9 - CdnServiceResult

NameDescriptionSchemaDefault
account_id
required
Account ID
Example :
string
resource_id
required
The identifier of the resource.
Example :
string
workflow_id
required
The identifier of the workflow processing the request.
Example :
string

2.10 - CdnServiceUpdateRequest

NameDescriptionSchemaDefault
cache_expiry_time
required
The cache expiry time in seconds for content stored at edge locations.
Example : 86400
Minimum : 3600
Maximum : 2592000
integer
cache_key_hostname
required
The hostname used as part of the cache key (e.g., ORIGIN_HOSTNAME, INCOMING_HOST_HEADER).
Example : REQUEST_HOST_HEADER
enum (REQUEST_HOST_HEADER, ORIGIN_HOSTNAME)
caching_option
required
The caching option for the CDN content (e.g., CACHE, NO_CACHE, BYPASS_CACHE).
Example : CACHE
string
cdn_origin_hostname
required
The hostname of the origin server from which the CDN retrieves content.
Example : test.example.com
Pattern : ^(([a-zA-Z0-9]|[a-zA-Z0-9][a-zA-Z0-9\-]*[a-zA-Z0-9])\.)*([A-Za-z0-9]|[A-Za-z0-9][A-Za-z0-9\-]*[A-Za-z0-9])$|^((25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.){3}(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)$
Maximum length : 253
string
cdn_origin_port
required
The port used to connect to the origin server.
Example : 443
Minimum : 1
Maximum : 65535
integer
cdn_origin_protocol
required
The protocol used to connect to the origin server (e.g., HTTP, HTTPS).
Example : HTTPS
string
cdn_service_origin_path
optional
The path on the origin server from which the CDN retrieves content.
Example : /test/global/
Pattern : ^/$|^(/[a-zA-Z0-9-._]+)+/$
any of [string, null]
content_policy
required
The content delivery policy for the CDN service (e.g., ONLY_VALIDATED_CONTENTS, ALL_CONTENTS).
Example : ONLY_VALIDATED_CONTENTS
string
custom_forward_host_header
optional
The custom host header forwarded to the origin when forward host header is set to CUSTOM.
Example :
any of [string, null]
forward_host_header
required
The host header forwarded to the origin server (e.g., ORIGIN_HOSTNAME, INCOMING_HOST_HEADER, CUSTOM).
Example : REQUEST_HOST_HEADER
enum (REQUEST_HOST_HEADER, ORIGIN_HOSTNAME, CUSTOM)
origin_hostname_type
required
The type of the origin hostname (e.g., DOMAIN, IP).
Example : DOMAIN
enum (DOMAIN, IP)
query_string_ignored
required
Indicates whether the query string is ignored when caching content.
Example : True
boolean
range_request_allowed
required
Indicates whether range requests are allowed for content delivery.
Example : True
boolean
request_custom_headers
optional
The custom headers added to requests forwarded to the origin server.
Example :
any of [object, null]
response_custom_headers
optional
The custom headers added to responses returned to the client.
Example :
any of [object, null]

2.11 - Tag

NameDescriptionSchemaDefault
key
required
tag key
Example :
string
value
required
tag value
Example :
string